Set Quoted_Identifier Off
go
Create Procedure dbo.sp_var_saldo_emb
    @pbi_calind         bit,      
    @pch_compania       char(4),      
    @pch_clase_nomina   char(2),      
    @psi_id_cal         smallint,      
    @pch_tipo_nomina    char(2),      
    @psi_anio           smallint,      
    @pti_periodo        tinyint,      
    @pdt_fec_termino    smalldatetime,      
    @pch_trabajador     char(10),      
    @psi_concepto       smallint,      
    @pch_referencia     char(10),      
    @psi_secuencia      smallint,       
    @pvc_sub_var1       varchar(10),      
    @pvc_sub_var2       varchar(10),      
    @odc_var_value      decimal(19,6) OUTPUT,       
    @ovc_var_value      varchar(40) OUTPUT,      
    @psi_id_sesion      smallint      
As
/*****************************************************************/      
/*** Modulo:      Módulo Fiscal Colombiano ADAM V.3 - Embargos ***/      
/*** Descripcion: Recupera el saldo actual del embargo         ***/      
/*** Autor:       Juan Carlos Leguizamón                       ***/      
/*** Fecha:       Junio 19 de 2008                             ***/      
/*****************************************************************/      
Begin
    Declare
        @vdc_valor decimal(19,6),       
        @vsi_secuencia smallint,
        @vdc_saldo decimal(14,2)
    
    If @pti_periodo = 0 Return
    
    Select @vdc_valor = 0, @odc_var_value = 0, @ovc_var_value = NULL          
    
    Select @vsi_secuencia = factor_02
    From transacciones_ns
    Where compania = @pch_compania 
      And clase_nomina = @pch_clase_nomina 
      And id_calendario = @psi_id_cal 
      And concepto = @psi_concepto 
      And trabajador = @pch_trabajador 
      And referencia = @pch_referencia 
      And secuencia = @psi_secuencia         

    Select @vdc_saldo = saldo_actual
    From fdt_embargos
    Where compania = @pch_compania
      And trabajador = @pch_trabajador
      And concepto = @psi_concepto
      And secuencia = @vsi_secuencia
        
    Select @odc_var_value = IsNull(@vdc_saldo, 0)      
    
    Return
End
Go
